Subject: Re: [EAI] I-D Action: draft-duerst-eai-mailto-01.txt

From: Frank Ellermann <[email-masked]>
Date: Wed, 7 Sep 2011 13:26:13 +0200

Hi,

draft-duerst-eai-mailto intends to obsolete RFC 6068, I'll
use 6068bis as a shorthand.  In section 2 you write that
<addr-spec-enc> excludes the RFC 5322 <comment>.

I think you actually exclude <comment> *and* <FWS>, i.e.,
(1) you get rid of any <CFWS> or <FWS> in <domain-literal>
    by directly using "[" *dtext-no-obs "]"
(2) you get rid of any <CFWS> or <FWS> in any <dot-atom> on
    both sides by directly using an encoded <dot-atom-text>
    with the name <dot-atom-text-enc>
(3) somehow <quoted-string-enc> avoids the <CFWS> before
    and after <quoted-string>, and it avoids <FWS> within
    <quoted-string>

Points (1) and (2) already solve all CFWS issues in syntax.
For (3) this is also possible:  As for (1) define a new
<qcontent-no-obs-enc> excluding <obs-qp> and <obs-qtext>.

After that 6068bis can improve what might be a subtle bug
in RFC 6068 1.3.  While there is no CFWS or FWS in mailto:
URIs, a space in a <quoted-pair> is okay, but of course it
has to be encoded:  mailto:%22joe%5C%20blogger%22@example

The last example in section 6.2 already covered that, but
a less convoluted <quoted-pair> example might be clearer,
"joe\ blogger"@example (ok.), "joe blogger"@example (bad).

If the latter is really "bad" in RFC 5322, section 3.2.4
can be improved in 5322bis.  But it is certainly "bad" in
6068 and 6068bis, no matter what 5322 says or doesn't say.

The idnits tool wants a fresher boilerplate, that could be
about s/BSD/simplified BSD/.  Please insert the four lost
spaces in the last line of <dtext-no-obs> again.

Looking at the diff you replaced most (but not all) URI by
URI/IRI.  That is rather ugly, why not limit the IRI stuff
to the i18n section and the introduction, and then focus
on URIs as it was?

Please split section 2 in three parts:  The syntax, 2.1 for
prose affecting <addr-spec-enc>, 2.2 for <hfvalue> prose:

The last statement about "#" in <hfvalue> (= proposed 2.2)
also affects any "#" in <addr-spec-enc> (= proposed 2.1),
without these sub-sections that is not completely obvious.

It would be also clearer to move some <qchar> prose to 2.2,
where it does not affect <addr-spec>, e.g., I think that
"&", ";", and "=" do not need to be percent-encoded before
the query part (= outside of <qchar>).

There is no <path> in mailto: URIs, please add "/" and "?"
to <some-delims> (= does not require percent-encoding).

OTOH I fear that a "@" within <quoted-string-enc> MUST be
encoded.  The encoding requirements in 2.1 and 2.2 should
be slightly different and discussed separately.

The use of <xxx-enc> instead of <xxx> for some 5332 <xxx>
terms is a very good idea.

-Frank